Subject: Re: [PATCH] merge-recursive: handle file mode changes

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Mar 2008 17:08:26 -0700

Clemens Buchacher <[email-masked]> writes:

> I am not exactly sure how I should set the result.merge flag. In this context
> it seems to have the exact opposite meaning of result.clean. Is that correct?

My reading of the code is that result.merge is "if a content level merge
has happened", and result.clean is "given that a content level merge has
been attempted, was it done cleanly, or are there conflicts for the user
to fix in the result".  If result.clean is not true, we obviously cannot
store the result in stage #0.

The result.merge flag is used only for reporting purposes; I am not sure
why the non-rename codepath does not pay attention to the result.merge,
though.